Get needs templates by service
This endpoint returns the needs templates that have been applied to a service within a period not exceeding 30 days.
GET /api/v1/businesses/{businessId}/services/{serviceId}/needs-templates?fromDate={yyyy-MM-dd}&toDate={yyyy-MM-dd}
If the data included in the URL is correct, the response will contain the needs templates applied to the service for each of the days specified in the request interval.
Response example
[
{
"productId": "0001-GENERAL",
"date": "2026/08/31",
"id": "17537",
"templateName": "Summer"
},
{
"productId": "0001-GENERAL",
"date": "2026/09/01",
"id": "17536",
"templateName": "General"
}
]
Details
-
productId: external identifier of the product or section.
-
date: the date to which the needs template applies, in
yyyy/MM/ddformat. -
id: internal identifier of the template in Orquest.
-
templateName: name configured in the system for the template.
As shown in the example, the request returns the needs template information applied on each day of the query interval.
Considerations
If the service specified in the URL does not exist in the business, the request will return a 404 Not Found error, specifying in the message not exists.
If the time interval specified in the URL exceeds 30 days, the request will return a 400 Bad Request error, specifying in the message Period between dates cannot be longer than 30 days.
If there are no needs templates applied for the specified time period, the request will return a 404 Not Found error, specifying in the message There is not needs template on the requested information.
It will also return this error if there are no needs templates defined in the service.
Useful links
What are needs?
What are needs templates?